package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @author 陈标
 * @Description
 * @Date 2020/7/20 0020 10:03
 */
public class NewOrderVO {

    /**
     * 订单号
     */
    @ApiModelProperty(value = "订单号")
    private String orderNo;


    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String status;


    /**
     * 订单完成时间
     */
    @ApiModelProperty(value = "订单完成时间")
    private Date completedAt;

    /**
     * 库
     */
    @ApiModelProperty(value = "库")
    private Integer tbIndex;

    /**
     * 表
     */
    @ApiModelProperty(value = "表")
    private Integer dbIndex;


    /**
     * 表
     */
    @ApiModelProperty(value = "支付状态")
    private String payStatus;


    /**
     * 用户id
     */
    @ApiModelProperty(value = "更新时间")
    private Date updatedAt;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private String userId;


    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPayStatus() {
        return payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }

    public Date getCompletedAt() {
        return completedAt;
    }

    public void setCompletedAt(Date completedAt) {
        this.completedAt = completedAt;
    }

    public Integer getTbIndex() {
        return tbIndex;
    }

    public void setTbIndex(Integer tbIndex) {
        this.tbIndex = tbIndex;
    }

    public Integer getDbIndex() {
        return dbIndex;
    }

    public void setDbIndex(Integer dbIndex) {
        this.dbIndex = dbIndex;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
